import { ICustomResourcePatch } from '../patches';
import { BasePatches } from '../patches/base';
export declare abstract class Normalizer extends BasePatches {
    constructor(data?: any);
    protected data: any;
    protected static fileName?: string;
    protected static applicableKinds: string[];
    abstract __patches(claim: any, previousCR: any): Promise<ICustomResourcePatch[]>;
}
export declare class NormalizerError extends Error {
    constructor(message: string);
}
